#
# spec file for package perl-Unicode-Normalize
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           perl-Unicode-Normalize
Version:        1.26
Release:        1.27
%define cpan_name Unicode-Normalize
Summary:        Unicode Normalization Forms
License:        Artistic-1.0 OR GPL-1.0-or-later
Group:          Development/Libraries/Perl
Url:            https://metacpan.org/release/%{cpan_name}
Source0:        https://cpan.metacpan.org/authors/id/K/KH/KHW/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
%{perl_requires}

%description
Parameters:

'$string' is used as a string under character semantics (see perlunicode).

'$code_point' should be an unsigned integer representing a Unicode code
point.

Note: Between XSUB and pure Perl, there is an incompatibility about the
interpretation of '$code_point' as a decimal number. XSUB converts
'$code_point' to an unsigned integer, but pure Perl does not. Do not use a
floating point nor a negative sign in '$code_point'.

%prep
%setup -q -n %{cpan_name}-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor OPTIMIZE="%{optflags}"
make %{?_smp_mflags}

%check
make test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes mkheader README
%license LICENSE

%changelog
* Thu Aug 22 2019 Tina Mueller <tina.mueller@suse.com>
- Remove patch for Makefile.PL (not needed anymore)
* Wed Apr  3 2019 Stephan Kulow <coolo@suse.com>
- updated to 1.26
  see /usr/share/doc/packages/perl-Unicode-Normalize/Changes
  1.26  *** RELEASE DATE HERE ***
  - Switch to XSLoader from Dynaloader
* Tue Sep 26 2017 coolo@suse.com
- add perl526.patch to work with perl 5.26
* Fri Feb 26 2016 mlin@suse.com
- initial import from version 1.25
